Implement infopanel to promote Reader View when first available
Created attachment 
Current UX mock

This bug covers implementing two infopanels to help promote the Reading View button and Reading List sidebar the first time they're seen.

The first time the Reading List sidebar is shown, display a "Welcome to Reading List" (all strings TBD) panel, with a "Show me" button to open a tour page (including bug  URL TBD.

Since we only want to show this once, this should set a pref to prevent showing it again.

The first time a user visits a page that can be viewed in Reader View, display an infopanel pointing out that this button is available in inviting them to click it. (This will open the page in Reader View, which should also show the Reading List sidebar the first time, which will in turn show the infopanel from #1 inviting them to take a tour of the feature).

As with #1, we want a pref to make sure this is only shown once.


For both infopanels, we want to suppress (blacklist) their display on www.mozilla.org where another UITour might be active -- this avoids these panels dueling with panels from  UITours. EG, if you're on a tour page that has opened the Hello panel, it would be really confusing to also have one of this bug's infopanels open at the same time (or to cause the Hello panel to close).


One edge case: If the user is on a blacklisted page, and clicks the Reader View button (without having seen the infopanel), we should ideally set the pref to avoid showing the infopanel that promotes the button (since they've clearly already discovered it themselves). But, just to be clear, if they're on a readable-but-blacklisted page and they do _not_ click the button, we'd still want to show the infopanel on the first non-blacklisted page (since they clearly haven't discovered the button!).
